## org.hibernate.cache
Class Timestamper

    java.lang.Object
      org.hibernate.cache.Timestamper

    public final class Timestamper

extends Object

Generates increasing identifiers (in a single VM only). Not valid across multiple VMs. Identifiers are not necessarily strictly increasing, but usually are.

Field Summary
`static short` `ONE_MS`

Method Summary
`static long` `next()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ONE_MS

    public static final short ONE_MS

See Also:
  Constant Field Values

Method Detail

### next

    public static long next()

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.